Description

Some issues which should be cleared:

e django update. If we wanna use Idap, | think we should use django-auth-ldap as an auth backend. For that, we would need
django >=1.11. | seem to remember reading about an update, but can't seem to find where it was. Is that in the making in the
foreseeable future?

¢ 'should use Idap' -> | presume it means Idap first, old db as fallback?

¢ We should develop some concept for a fast and easy migration of the old database into Idap at some point, else we will need
two bunches of code to handle everything

o Since django-auth-ldap uses the django-db for storing, we would have two sets of data there, the old customerset and the
new one the ldap-auth puts there, so | will see if it is easily identifyable what is what

o another thing.. This is more customer relations. Everyone already in the db will need new passwords if we migrate to Idap,
which is a hassle and should be thought about by marketing to give it a good spin

Maybe the scope is a bit broad, but those are the things which popped into my mind while thinking about how to best integrate the
userservice

Related issues:
Related to Open Infrastructure - Task #6465: Expire the password reset link [... Rejected 02/15/2019

History

#1 - 10/09/2018 08:36 PM - Nico Schottelius

- Assignee changed from Nico Schottelius to Marcus Przyklink

| suggest the following development flow:

e create a new project, based on latest (stable) django
o Using micro services should give us the opportunity to easily use different versions
¢ in this project users should be able to
o register a new user account
© login
o reset their password
o register & login should have some kind of logic that allows our main website to refer to it ("secured area") and get back to it
o | assume the last part can/should be done using oauth(2)
¢ Change dynamiweb to use the new user service
o consult with Mondi here - he might actually be good to do it && show you what changes were needed
e Later stage
o publish events on the message bus (user registered, user password reset, etc.)

#2 - 02/04/2019 05:50 PM - Jason Kim
- PM Check date set to 02/05/2019

#3 - 02/17/2019 03:42 PM - Mondi Ravi
- Related to Task #6465: Expire the password reset link [datacenterlight, dynamicweb] added

#4 - 06/23/2019 06:55 PM - Sanghee Kim
- Project changed from 15 to queue
- Status changed from Feedback to New

- Assignee deleted (Marcus Przyklink)

03/20/2024 12



#5 - 12/10/2022 12:26 AM - Nico Schottelius

- Status changed from New to Rejected
